"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var React = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _isEditing = require("../../functions/is-editing");
var _image = require("../image/image.helpers");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); } /**
 * This import is used by the Svelte SDK. Do not remove.
 */
function ImgComponent(props) {
  function srcSetToUse() {
    const url = props.imgSrc || props.image;
    if (!url || typeof url !== "string") {
      return undefined;
    }

    // We can auto add srcset for cdn.builder.io images
    if (!url.match(/builder\.io/)) {
      return undefined;
    }
    return (0, _image.getSrcSet)(url);
  }
  return /*#__PURE__*/React.createElement(_reactNative.Image, _extends({
    loading: "lazy",
    style: {
      objectFit: props.backgroundSize || "cover",
      objectPosition: props.backgroundPosition || "center"
    },
    key: (0, _isEditing.isEditing)() && props.imgSrc || "default-key",
    alt: props.altText,
    source: {
      uri: props.imgSrc || props.image
    },
    srcSet: srcSetToUse()
  }, props.attributes));
}
var _default = exports.default = ImgComponent;
//# sourceMappingURL=img.js.map