import BaseText from "../../blocks/BaseText";
import * as React from "react";
import { Text } from "react-native";
import DynamicRenderer from "../../components/dynamic-renderer/dynamic-renderer";
import { getClassPropName } from "../../functions/get-class-prop-name";
function BuilderButton(props) {
  function attrs() {
    return {
      ...props.attributes,
      [getClassPropName()]: `${props.link ? "" : "builder-button"} ${props.attributes[getClassPropName()] || ""}`,
      ...(props.link ? {
        href: props.link,
        target: props.openLinkInNewTab ? "_blank" : undefined,
        role: "link"
      } : {
        role: "button"
      })
    };
  }
  return /*#__PURE__*/React.createElement(DynamicRenderer, {
    attributes: attrs(),
    TagName: props.link ?
    // eslint-disable-next-line @typescript-eslint/ban-ts-comment
    // @ts-ignore
    props.builderLinkComponent || BaseText :
    // eslint-disable-next-line @typescript-eslint/ban-ts-comment
    // @ts-ignore
    BaseText,
    actionAttributes: {}
  }, /*#__PURE__*/React.createElement(Text, null, props.text));
}
export default BuilderButton;
//# sourceMappingURL=button.js.map