import { checkIsDefined } from "../helpers/nullable";

/**
 * Identifies node runtime
 */
export function isNodeRuntime() {
  var _process;
  return typeof process !== 'undefined' && checkIsDefined((_process = process) === null || _process === void 0 || (_process = _process.versions) === null || _process === void 0 ? void 0 : _process.node);
}
//# sourceMappingURL=is-node-runtime.js.map