"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isEditing = isEditing;
var _target = require("../constants/target");
var _search = require("../helpers/search/search");
var _isIframe = require("./is-iframe");
function isEditing(search) {
  return (0, _isIframe.isIframe)() && (_target.TARGET === 'reactNative' ||
  // accessing window.location.search is safe here because `isIframe()` is only `true` if we're in a browser.
  (0, _search.getSearchString)(search || window.location.search).indexOf('builder.frameEditing=') !== -1);
}
//# sourceMappingURL=is-editing.js.map