"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.runInBrowser = void 0;
var _helpers = require("../helpers");
const runInBrowser = ({
  code,
  builder,
  context,
  event,
  localState,
  rootSetState,
  rootState
}) => {
  const functionArgs = (0, _helpers.getFunctionArguments)({
    builder,
    context,
    event,
    state: (0, _helpers.flattenState)({
      rootState,
      localState,
      rootSetState
    })
  });
  return new Function(...functionArgs.map(([name]) => name), code)(...functionArgs.map(([, value]) => value));
};
exports.runInBrowser = runInBrowser;
//# sourceMappingURL=browser.js.map