"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getClassPropName = void 0;
var _target = require("../constants/target");
const getClassPropName = () => {
  switch (_target.TARGET) {
    case 'react':
    case 'reactNative':
    case 'rsc':
      return 'className';
    case 'svelte':
    case 'vue':
    case 'solid':
    case 'qwik':
    case 'angular':
      return 'class';
  }
};
exports.getClassPropName = getClassPropName;
//# sourceMappingURL=get-class-prop-name.js.map