"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validEnvList = exports.getEnv = void 0;
const validEnvList = exports.validEnvList = ['production', 'qa', 'test', 'development', 'dev', 'cdn-qa', 'cloud', 'fast', 'cdn2', 'cdn-prod'];
const getEnv = () => {
  const env = process.env.NODE_ENV || 'production';
  return validEnvList.includes(env) ? env : 'production';
};
exports.getEnv = getEnv;
//# sourceMappingURL=get-env.js.map