import * as React from "react";
import { useState, useEffect } from "react";
import Block from "../../block";
import InteractiveElement from "../interactive-element";
import { getWrapperProps } from "./component-ref.helpers";
import BuilderContext from "../../../../context/builder.context";
function ComponentRef(props) {
  var _props$blockChildren;
  const [shouldUpdate, setShouldUpdate] = useState(() => false);
  const [Wrapper, setWrapper] = useState(() => props.isInteractive ? InteractiveElement : props.componentRef);
  useEffect(() => {}, [props.componentOptions, props.blockChildren]);
  return /*#__PURE__*/React.createElement(BuilderContext.Provider, {
    value: {
      content: props.context.content,
      rootState: props.context.rootState,
      localState: props.context.localState,
      context: props.context.context,
      apiKey: props.context.apiKey,
      componentInfos: props.context.componentInfos,
      inheritedStyles: props.context.inheritedStyles,
      apiVersion: props.context.apiVersion
    }
  }, props.componentRef ? /*#__PURE__*/React.createElement(Wrapper, getWrapperProps({
    componentOptions: props.componentOptions,
    builderBlock: props.builderBlock,
    context: props.context,
    componentRef: props.componentRef,
    linkComponent: props.linkComponent,
    includeBlockProps: props.includeBlockProps,
    isInteractive: props.isInteractive,
    contextValue: props.context
  }), (_props$blockChildren = props.blockChildren) === null || _props$blockChildren === void 0 ? void 0 : _props$blockChildren.map(child => /*#__PURE__*/React.createElement(Block, {
    key: child.id,
    block: child,
    context: props.context,
    registeredComponents: props.registeredComponents,
    linkComponent: props.linkComponent
  }))) : null);
}
export default ComponentRef;
//# sourceMappingURL=component-ref.js.map