"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getDefaultCanTrack = void 0;
var _nullable = require("./nullable");
var _userAttributes = require("./user-attributes");
const getDefaultCanTrack = canTrack => {
  const result = (0, _nullable.checkIsDefined)(canTrack) ? canTrack : true;
  _userAttributes.userAttributesService.setCanTrack(result);
  return result;
};
exports.getDefaultCanTrack = getDefaultCanTrack;
//# sourceMappingURL=canTrack.js.map