"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var React = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _blocks = _interopRequireDefault(require("../../components/blocks/blocks"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function Slot(props) {
  var _props$builderContext, _props$builderContext2, _props$builderContext3;
  return /*#__PURE__*/React.createElement(_reactNative.View, _extends({
    style: {
      pointerEvents: "auto"
    }
  }, !((_props$builderContext = props.builderContext.context) !== null && _props$builderContext !== void 0 && _props$builderContext.symbolId) && {
    "builder-slot": props.name
  }), /*#__PURE__*/React.createElement(_blocks.default, {
    parent: (_props$builderContext2 = props.builderContext.context) === null || _props$builderContext2 === void 0 ? void 0 : _props$builderContext2.symbolId,
    path: `symbol.data.${props.name}`,
    context: props.builderContext,
    registeredComponents: props.builderComponents,
    blocks: (_props$builderContext3 = props.builderContext.rootState) === null || _props$builderContext3 === void 0 ? void 0 : _props$builderContext3[props.name]
  }));
}
var _default = exports.default = Slot;
//# sourceMappingURL=slot.js.map