"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.get = void 0;
const get = (obj, path, defaultValue) => {
  const result = String.prototype.split.call(path, /[,[\].]+?/).filter(Boolean).reduce((res, key) => res !== null && res !== undefined ? res[key] : res, obj);
  return result === undefined || result === obj ? defaultValue : result;
};
exports.get = get;
//# sourceMappingURL=get.js.map