"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isNodeRuntime = isNodeRuntime;
var _nullable = require("../helpers/nullable");
/**
 * Identifies node runtime
 */
function isNodeRuntime() {
  var _process;
  return typeof process !== 'undefined' && (0, _nullable.checkIsDefined)((_process = process) === null || _process === void 0 || (_process = _process.versions) === null || _process === void 0 ? void 0 : _process.node);
}
//# sourceMappingURL=is-node-runtime.js.map