function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import * as React from "react";
import { useState, useEffect } from "react";
import { getBlockActions } from "../../../functions/get-block-actions";
import { getBlockProperties } from "../../../functions/get-block-properties";
import Awaiter from "../../awaiter";
function InteractiveElement(props) {
  var _props$block;
  const [forceRenderCount, setForceRenderCount] = useState(() => 0);
  function attributes() {
    return props.includeBlockProps ? {
      ...getBlockProperties({
        block: props.block,
        context: props.context
      }),
      ...getBlockActions({
        block: props.block,
        rootState: props.context.rootState,
        rootSetState: props.context.rootSetState,
        localState: props.context.localState,
        context: props.context.context
      })
    } : {};
  }
  function targetWrapperProps() {
    return props.wrapperProps;
  }
  useEffect(() => {}, [props.wrapperProps, (_props$block = props.block) === null || _props$block === void 0 || (_props$block = _props$block.component) === null || _props$block === void 0 ? void 0 : _props$block.options]);
  return /*#__PURE__*/React.createElement(React.Fragment, null, props.Wrapper.load ? /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Awaiter, {
    load: props.Wrapper.load,
    fallback: props.Wrapper.fallback,
    props: props.wrapperProps,
    attributes: attributes()
  }, props.children)) : /*#__PURE__*/React.createElement(props.Wrapper, _extends({}, targetWrapperProps(), {
    attributes: attributes()
  }), props.children));
}
export default InteractiveElement;
//# sourceMappingURL=interactive-element.js.map