"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getDefaultRegisteredComponents = void 0;
var _componentInfo = require("../blocks/accordion/component-info");
var _index = _interopRequireDefault(require("../blocks/accordion/index"));
var _componentInfo2 = require("../blocks/button/component-info");
var _index2 = _interopRequireDefault(require("../blocks/button/index"));
var _componentInfo3 = require("../blocks/columns/component-info");
var _index3 = _interopRequireDefault(require("../blocks/columns/index"));
var _componentInfo4 = require("../blocks/fragment/component-info");
var _index4 = _interopRequireDefault(require("../blocks/fragment/index"));
var _componentInfo5 = require("../blocks/image/component-info");
var _index5 = _interopRequireDefault(require("../blocks/image/index"));
var _componentInfo6 = require("../blocks/personalization-container/component-info");
var _helpers = require("../blocks/personalization-container/helpers");
var _index6 = _interopRequireDefault(require("../blocks/personalization-container/index"));
var _componentInfo7 = require("../blocks/section/component-info");
var _index7 = _interopRequireDefault(require("../blocks/section/index"));
var _componentInfo8 = require("../blocks/slot/component-info");
var _index8 = _interopRequireDefault(require("../blocks/slot/index"));
var _componentInfo9 = require("../blocks/symbol/component-info");
var _index9 = _interopRequireDefault(require("../blocks/symbol/index"));
var _componentInfo10 = require("../blocks/tabs/component-info");
var _index10 = _interopRequireDefault(require("../blocks/tabs/index"));
var _componentInfo11 = require("../blocks/text/component-info");
var _index11 = _interopRequireDefault(require("../blocks/text/index"));
var _extraComponents = require("./extra-components");
var _target = require("./target");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * Returns a list of all registered components.
 * NOTE: This needs to be a function to work around ESM circular dependencies.
 */
const getDefaultRegisteredComponents = () => [{
  component: _index2.default,
  ..._componentInfo2.componentInfo
}, {
  component: _index3.default,
  ..._componentInfo3.componentInfo
}, {
  component: _index4.default,
  ..._componentInfo4.componentInfo
}, {
  component: _index5.default,
  ..._componentInfo5.componentInfo
}, {
  component: _index7.default,
  ..._componentInfo7.componentInfo
}, {
  component: _index8.default,
  ..._componentInfo8.componentInfo
}, {
  component: _index9.default,
  ..._componentInfo9.componentInfo
}, {
  component: _index11.default,
  ..._componentInfo11.componentInfo
}, ...(_helpers.SDKS_SUPPORTING_PERSONALIZATION.includes(_target.TARGET) ? [{
  component: _index6.default,
  ..._componentInfo6.componentInfo
}] : []), ...(_target.TARGET === 'rsc' ? [] : [{
  component: _index10.default,
  ..._componentInfo10.componentInfo
}, {
  component: _index.default,
  ..._componentInfo.componentInfo
}]), ...(0, _extraComponents.getExtraComponents)()];
exports.getDefaultRegisteredComponents = getDefaultRegisteredComponents;
//# sourceMappingURL=builder-registered-components.js.map